Bug 150012 - 2 * undefined code
2 * undefined code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-String-Ediff (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 12:04 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 11:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-03-01 12:04:02 EST
Description of problem:

I just tried to compile package perl-String-Ediff-0.04-1 from 
Redhat Fedora Extras development tree.

The compiler said

1.

st.c:142: warning: operation on `i' may be undefined

The source code is

    i = ++i % t->m_hash_base;

I agree with the compiler - the code certainly is undefined.
Suggest

    i = (i + 1) % t->m_hash_base;

2.

st.c:163: warning: operation on `i' may be undefined

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ville Skyttä 2005-03-10 11:06:02 EST
Should be fixed in 0.05-1.

Note You need to log in before you can comment on or make changes to this bug.